Bug 43431 - kdebase needs newer openssl version, which yealds problems
kdebase needs newer openssl version, which yealds problems
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-04 18:02 EDT by Hans Schippers
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-04 18:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Schippers 2001-06-04 18:02:39 EDT
Description of Problem:

kdebase2.2-alpha2 needs openssl-0.9.6a-3, but this doesn't seem to be backward compatible with 0.9.6-3... It yealds dependency errors while trying to install and if I use --nodeps it does install, but ssh won't work anymore... it's really annoying... there are MANY packages which need the 0.9.6-3 version... So updating to 0.9.6a-3 wouldn't be wise I think (I know, cause I did it, and had to reinstall the 0.9.6-3)..
I ask myself if this couldn't be compiled and packaged against openssl-0.9.6-3?


How Reproducible:

always


Steps to Reproduce:

1.try to install kde 2.2-alpha2 on redhat 7.1 (the rpm)
2. 

3. 



Actual Results:

dependency errors


Expected Results:

succesful installation


Additional Information:
Comment 1 Bill Nottingham 2001-06-05 00:16:16 EDT
Install the 0.9.6a package, along with the openssl096 compatibility
package.
Comment 2 Hans Schippers 2001-06-05 05:33:35 EDT
that would work for openssh, but I get all these dependency errors:

[root@saintpc programs]# rpm -Uvh openssl-0.9.6a-3.i386.rpm 
error: failed dependencies:
	libcrypto.so.1   is needed by autofs-3.1.7-14
	libcrypto.so.1   is needed by pine-4.33-8
	libcrypto.so.1   is needed by lynx-2.8.4-9
	libcrypto.so.1   is needed by balsa-1.1.1-3
	libcrypto.so.1   is needed by openssl-python-0.9.6-3
	libcrypto.so.1   is needed by kdelibs-2.2-0.alpha1.2
	libcrypto.so.1   is needed by kdebase-2.2-0.alpha1.1
	libcrypto.so.1   is needed by kdevelop-2.2-0.alpha1.1
	libcrypto.so.1   is needed by bind-utils-9.1.0-10
	libcrypto.so.1   is needed by links-0.95-2
	libcrypto.so.1   is needed by openldap-2.0.7-14
	libcrypto.so.1   is needed by nss_ldap-149-1
	libcrypto.so.1   is needed by sendmail-8.11.2-14
	libcrypto.so.1   is needed by gq-0.4.0-2
	libcrypto.so.1   is needed by python-1.5.2-30
	libcrypto.so.1   is needed by mutt-1.2.5i-9
	libcrypto.so.1   is needed by openssh-clients-2.5.2p2-5
	libcrypto.so.1   is needed by pidentd-3.0.12-4
	libcrypto.so.1   is needed by openssh-server-2.5.2p2-5
	libcrypto.so.1   is needed by ucd-snmp-4.2-12
	libcrypto.so.1   is needed by stunnel-3.13-3
	libcrypto.so.1   is needed by slrn-0.9.6.4-2
	libcrypto.so.1   is needed by cyrus-sasl-1.5.24-17
	libcrypto.so.1   is needed by openldap-clients-2.0.7-14
	libcrypto.so.1   is needed by fetchmail-5.7.4-4
	libcrypto.so.1   is needed by ucd-snmp-utils-4.2-12
	libcrypto.so.1   is needed by kdeadmin-2.2-0.alpha1.1
	libcrypto.so.1   is needed by aethera-0.9.2-1_tkc_rh71
	libcrypto.so.1   is needed by licq-1.0.2-3
	libcrypto.so.1   is needed by openssh-2.5.2p2-5


does that mean I have to update all seperate packages mentioned?
Is there no way to have libcrypto.so.1 and libcrypto.so.2 coexist peacefully 
together?

Note You need to log in before you can comment on or make changes to this bug.